Why am I not able to use an older version of the Kinsa App?

In order to be as reliable, accurate and useful as possible, if the Kinsa app detects that you’re running an out of date version, you will be prompted to update to the latest version. This is to ensure that you will always have the best possible experience with our thermometers.

For more information on smartphone and OS requirements, please see our FAQ article here:  https://support.kinsahealth.com/hc/en-us/articles/208250936-Which-smartphones-work-with-the-Kinsa-

2 out of 3 found this helpful